# __gnu_parallel::unary_negate< _Predicate, argument_type > Class Template Reference

Inheritance diagram for __gnu_parallel::unary_negate< _Predicate, argument_type >:

List of all members.

## Detailed Description

### template<typename _Predicate, typename argument_type>
class __gnu_parallel::unary_negate< _Predicate, argument_type >

Similar to std::binder1st, but giving the argument types explicitly.

Definition at line 184 of file base.h.

## Public Types

- typedef argument_type argument_type
- typedef bool result_type

## Public Member Functions

- bool operator() (const argument_type &__x)
- unary_negate (const _Predicate &__x)

## Protected Attributes

- _Predicate _M_pred

## Member Typedef Documentation

typedef argument_type std::unary_function< argument_type , bool >::argument_type `[inherited]`

`argument_type` is the type of the

Definition at line 105 of file stl_function.h.

typedef bool std::unary_function< argument_type , bool >::result_type `[inherited]`

argument (no surprises here) `result_type` is the return type

Definition at line 108 of file stl_function.h.

The documentation for this class was generated from the following file:

- base.h